gtkmm 4.7.1

Public Types | List of all members
Gtk::ResponseType_Wrapper Class Referencefinal
gtkmm Enums and Flags

Wrapper for enum ResponseType. More...

`#include <gtkmm/dialog.h>`

## Public Types
enum | ResponseType { NONE = -1 , REJECT = -2 , ACCEPT = -3 , DELETE_EVENT = -4 , OK = -5 , CANCEL = -6 , CLOSE = -7 , YES = -8 , NO = -9 , APPLY = -10 , HELP = -11 }
| Predefined values for use as response ids in Gtk::Dialog::add_button(). More...

## Detailed Description

Wrapper for enum ResponseType.

ResponseType enumerators are scoped and can be implicitly converted to int. The scope is Gtk::ResponseType::